Page MenuHomePhabricator

[clang][scan-build] Change mode of installation for scan-build.1
ClosedPublic

Authored by manas on Feb 28 2022, 12:13 AM.

Details

Summary

Currently, manpage for scan-build is installed as a program, with
permission of 755. This patch makes installation of scan-build.1 as
file, with 644 permission.

Diff Detail

Event Timeline

manas created this revision.Feb 28 2022, 12:13 AM
manas requested review of this revision.Feb 28 2022, 12:13 AM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 28 2022, 12:13 AM
Herald added a subscriber: cfe-commits. · View Herald Transcript

This patch fixes #53967.

steakhal accepted this revision.Feb 28 2022, 12:32 AM

Oh, that's unfortunate.
Thanks for fixing it.

This revision is now accepted and ready to land.Feb 28 2022, 12:32 AM
manas added a comment.Mar 1 2022, 7:58 AM

I rebased to see if it satisfies the buildbot.

manas added a comment.Mar 2 2022, 4:04 AM

Buildbots are happy. I think we can land this. @steakhal do you mind landing it?

Herald added a project: Restricted Project. · View Herald TranscriptMar 2 2022, 4:04 AM
This revision was automatically updated to reflect the committed changes.